Subject: Re: [PATCH v6 0/3] completion: sparse-checkout updates

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Feb 2022 13:47:45 -0800

Elijah Newren <[email-masked]> writes:

> Handling them was specifically the job of the third patch in the
> series, and thus it made sense to add some kind of test for them.

Ah, yeah, reading from ls-tree via process substitution to avoid a
pipe that makes the loop a subshell and using "read -d$'\0'" with
IFS disabled to grok the -z output.  Full of bash-isms of the good
kind ;-).

Nicely done, and it deserves to be showed off in tests.